From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/aubio/
Date: Mon, 20 Jun 2022 01:45:47 +0000 (UTC) [thread overview]
Message-ID: <1655689539.155fb7ff1e66b5effd7dfc4cdf718769a7835156.sam@gentoo> (raw)
commit: 155fb7ff1e66b5effd7dfc4cdf718769a7835156
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 20 01:43:14 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jun 20 01:45:39 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=155fb7ff
media-libs/aubio: update EAPI 6 -> 7; Python 3.10; fix Python tests
- EAPI 6->7 (not 8 b/c waf-utils)
- Add Python 3.10
- Python tests weren't actually being run before! They pass w/ all impls.
Closes: https://bugs.gentoo.org/799722
Closes: https://bugs.gentoo.org/806866
Closes: https://bugs.gentoo.org/846014
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-libs/aubio/aubio-0.4.9-r2.ebuild | 151 +++++++++++++++++++++++++++++++++
1 file changed, 151 insertions(+)
diff --git a/media-libs/aubio/aubio-0.4.9-r2.ebuild b/media-libs/aubio/aubio-0.4.9-r2.ebuild
new file mode 100644
index 000000000000..f98faae91fcd
--- /dev/null
+++ b/media-libs/aubio/aubio-0.4.9-r2.ebuild
@@ -0,0 +1,151 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_OPTIONAL=1
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE='threads(+)'
+inherit distutils-r1 waf-utils
+
+DESCRIPTION="Library for audio labelling"
+HOMEPAGE="https://aubio.org/"
+SRC_URI="https://aubio.org/pub/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0/5"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc double-precision examples ffmpeg fftw jack libsamplerate sndfile python test"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ ?? ( double-precision libsamplerate )
+ doc? ( python )
+"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ ffmpeg? ( >=media-video/ffmpeg-2.6:0= )
+ fftw? ( sci-libs/fftw:3.0= )
+ jack? ( virtual/jack )
+ libsamplerate? ( media-libs/libsamplerate )
+ python? (
+ ${PYTHON_DEPS}
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
+ sndfile? ( media-libs/libsndfile )
+"
+
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ app-text/txt2man
+ virtual/pkgconfig
+ doc? (
+ app-doc/doxygen
+ dev-python/sphinx
+ )
+"
+
+DOCS=( AUTHORS ChangeLog README.md )
+PYTHON_SRC_DIR="${S}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.4.9-docdir.patch
+ "${FILESDIR}"/ffmpeg5.patch
+)
+
+src_prepare() {
+ default
+
+ sed -e "s:doxygen:doxygen_disabled:" -i wscript || die
+
+ sed -e "s/, 'sphinx.ext.intersphinx'//" -i doc/conf.py || die
+
+ # ERROR: "Skipped: no test sounds, add some in 'python/tests/sounds/'!"
+ rm python/tests/test_source.py || die
+
+ if ! use test; then
+ sed -e "/bld.*tests/d" -i wscript || die
+ fi
+}
+
+src_configure() {
+ python_setup
+
+ local mywafconfargs=(
+ --enable-complex
+ --docdir="${EPREFIX}"/usr/share/doc/${PF}
+ $(use_enable doc docs)
+ $(use_enable double-precision double)
+ $(use_enable fftw fftw3)
+ $(use_enable ffmpeg avcodec)
+ $(use_enable jack)
+ $(use_enable libsamplerate samplerate)
+ $(use_enable sndfile)
+ )
+
+ use double-precision || mywafconfargs+=( $(use_enable fftw fftw3f) )
+
+ waf-utils_src_configure "${mywafconfargs[@]}"
+
+ if use python ; then
+ cd "${PYTHON_SRC_DIR}" || die
+ distutils-r1_src_configure
+ fi
+}
+
+src_compile() {
+ waf-utils_src_compile --notests
+
+ if use python ; then
+ cd "${PYTHON_SRC_DIR}" || die
+ distutils-r1_src_compile
+
+ if use doc ; then
+ # No API function like distutils_install_for_testing available for this use case
+ pushd "${S}"/doc &>/dev/null || die
+ python_setup
+ LD_LIBRARY_PATH="${S}/build/src:${LD_LIBRARY_PATH}" \
+ PYTHONPATH="${S%%/}-${EPYTHON/./_}/lib${PYTHONPATH:+:${PYTHONPATH}}" \
+ emake dirhtml
+ fi
+
+ cd "${S}" || die
+ fi
+}
+
+src_test() {
+ waf-utils_src_compile --alltests
+
+ if use python ; then
+ cd "${PYTHON_SRC_DIR}" || die
+ distutils-r1_src_test
+ fi
+}
+
+python_test() {
+ LD_LIBRARY_PATH="${S}/build/src:${LD_LIBRARY_PATH}" eunittest python/tests
+}
+
+src_install() {
+ waf-utils_src_install
+
+ if use examples; then
+ # install dist_noinst_SCRIPTS from Makefile.am
+ dodoc -r examples
+ fi
+
+ if use python ; then
+ cd "${PYTHON_SRC_DIR}" || die
+ DOCS="" distutils-r1_src_install
+ newdoc python/README.md README.python
+ fi
+
+ if use doc; then
+ dodoc doc/*.txt
+ docinto html
+ dodoc -r doc/_build/dirhtml/.
+ fi
+
+ find "${ED}" -name "*.a" -delete || die
+}
next reply other threads:[~2022-06-20 1:45 UTC|newest]
Thread overview: 48+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-06-20 1:45 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-25 1:21 [gentoo-commits] repo/gentoo:master commit in: media-libs/aubio/ Ionen Wolkens
2025-03-12 10:14 Ionen Wolkens
2024-07-04 13:36 Miroslav Šulc
2024-07-03 22:36 Sam James
2024-07-03 22:36 Sam James
2024-07-03 22:36 Sam James
2024-07-03 22:36 Sam James
2024-06-02 0:41 Sam James
2023-09-06 18:43 WANG Xuerui
2022-06-23 4:02 Miroslav Šulc
2022-06-22 5:50 Agostino Sarubbo
2022-06-22 5:49 Agostino Sarubbo
2022-06-22 5:48 Agostino Sarubbo
2022-06-22 5:45 Agostino Sarubbo
2022-05-31 4:46 Sam James
2022-02-01 18:51 Michał Górny
2021-06-30 17:43 Miroslav Šulc
2020-11-23 23:10 Lars Wendler
2020-06-24 17:22 Sergei Trofimovich
2020-06-22 6:57 Agostino Sarubbo
2020-06-21 17:08 Agostino Sarubbo
2020-06-21 15:24 Thomas Deutschmann
2020-04-25 19:24 Mikle Kolyada
2020-01-22 21:50 Michał Górny
2020-01-16 6:39 Michał Górny
2020-01-16 6:39 Michał Górny
2019-02-20 15:08 Lars Wendler
2018-10-06 16:48 Matt Turner
2018-10-04 20:55 Sergei Trofimovich
2018-10-04 9:00 Mikle Kolyada
2018-10-01 22:42 Thomas Deutschmann
2018-10-01 20:08 Andreas Sturmlechner
2018-10-01 20:08 Andreas Sturmlechner
2018-10-01 20:08 Andreas Sturmlechner
2018-09-25 8:22 Lars Wendler
2018-09-25 8:22 Lars Wendler
2017-10-06 7:44 Lars Wendler
2017-10-06 7:44 Lars Wendler
2017-08-22 21:41 Michał Górny
2017-05-09 7:29 Alexis Ballier
2017-04-24 12:38 Lars Wendler
2017-04-12 7:54 Lars Wendler
2017-01-13 7:56 Alexis Ballier
2016-08-28 14:12 Alexis Ballier
2016-08-27 18:30 Alexis Ballier
2015-11-10 11:52 Alexis Ballier
2015-11-01 10:37 Alexis Ballier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1655689539.155fb7ff1e66b5effd7dfc4cdf718769a7835156.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox